Normalize ISO / alias
curl --request GET \
--url https://api.reqi.dev/v1/countries/normalizeimport requests
url = "https://api.reqi.dev/v1/countries/normalize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.reqi.dev/v1/countries/normalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reqi.dev/v1/countries/normalize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reqi.dev/v1/countries/normalize"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reqi.dev/v1/countries/normalize")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reqi.dev/v1/countries/normalize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"input": "<string>",
"valid": true,
"match": "cca2",
"cca2": "<string>",
"cca3": "<string>",
"ccn3": "<string>",
"cioc": "<string>"
}{
"message": "<string>",
"status": 123
}Countries
Normalize ISO / alias
Strict normalization for ISO 3166 alpha-2/alpha-3, numeric ccn3, IOC codes, and maintained aliases. Does not fuzzy-match country names.
GET
/
v1
/
countries
/
normalize
Normalize ISO / alias
curl --request GET \
--url https://api.reqi.dev/v1/countries/normalizeimport requests
url = "https://api.reqi.dev/v1/countries/normalize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.reqi.dev/v1/countries/normalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reqi.dev/v1/countries/normalize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reqi.dev/v1/countries/normalize"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reqi.dev/v1/countries/normalize")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reqi.dev/v1/countries/normalize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"input": "<string>",
"valid": true,
"match": "cca2",
"cca2": "<string>",
"cca3": "<string>",
"ccn3": "<string>",
"cioc": "<string>"
}{
"message": "<string>",
"status": 123
}Query Parameters
Code or alias to normalize.